import React from "react";
import { CommonAndHTMLProps } from "../Element/constants";
export interface PortionCustomProps {
    desktopSpan?: string;
    tabletLandscapeSpan?: string;
    tabletPortraitSpan?: string;
    mobileSpan?: string;
    isHorizontal?: boolean;
}
export declare type PortionElementType = HTMLDivElement;
export declare type PortionProps = Omit<CommonAndHTMLProps<PortionElementType>, keyof PortionCustomProps> & PortionCustomProps;
export declare const Portion: React.ForwardRefExoticComponent<Omit<CommonAndHTMLProps<HTMLDivElement>, keyof PortionCustomProps> & PortionCustomProps & React.RefAttributes<HTMLDivElement>>;
